Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030553
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Retail Modules] Web POSmajorhave not tried2015-08-11 15:172015-09-03 09:29
ReportermtaalView Statuspublic 
Assigned ToSandrahuguet 
PrioritynormalResolutionfixedFixed in VersionRR15Q4
StatusclosedFix in branchFixed in SCM revisiona51eca636b15
ProjectionnoneETAnoneTarget VersionRR15Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomtaal
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030553: High volume products: make reading product categories more efficient

DescriptionSee here:
http://wiki.openbravo.com/wiki/Projects:Filter_Product_Categories_Definition [^]
Steps To ReproduceSee above wiki link
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0029909 closedmtaal Remote datasource implementation for Products & BPS 

-  Notes
(0079318)
hgbot (developer)
2015-08-12 10:20

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: d6f202af1fe56aac6712c03bf8a4259d95b7709d
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Wed Aug 12 10:19:58 2015 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d6f202af1fe56aac6712c03bf8a4259d95b7709d [^]

Fixed issue 30553 product category refactor (hgvol)

Because of performance problems in high volumes it is necessary
to keep an explicit list of product categories by assortment.
To maintain this list has created a background process and
an entity event handler.

---
M src-db/database/sourcedata/AD_PROCESS.xml
M src/org/openbravo/retail/posterminal/master/Category.java
A src/org/openbravo/retail/posterminal/ProductCategoryBackground.java
A src/org/openbravo/retail/posterminal/event/ProductListEventHandler.java
---
(0079319)
hgbot (developer)
2015-08-12 10:22

Repository: erp/pmods/org.openbravo.retail.config
Changeset: be2ab256999d1bc51ca98ed3b79449773ef25f5b
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Wed Aug 12 10:18:00 2015 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.config/rev/be2ab256999d1bc51ca98ed3b79449773ef25f5b [^]

Fixed issue 30553 product category refactor (hgvol)

Because of performance problems in high volumes it is necessary
to keep an explicit list of product categories by assortment.
To maintain this list has created a background process and
an entity event handler.

---
M src-db/database/sourcedata/AD_AUXILIARINPUT.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_TAB.xml
M src-db/database/sourcedata/AD_TABLE.xml
A src-db/database/model/tables/OBRETCO_PRODUCTCATEGORY.xml
---
(0079345)
mtaal (manager)
2015-08-13 13:07

Hi,
Some comments:

ProductCategoryBackground>>>
- change the name of the class, it is not descriptive enough imho, something like: UpdateProductCategoryByAssortmentBackground

- I tested the background process, but nothing was updated in the table, not sure why

- I don't see anything in the log field of the process monitor, can you print something there, like, set ### product categories for assortment ****, or if the preference is not set give a message preference not set.

- Change the name of the background process record from: Product Category Background to Update Product Categories by Assortment

- Code: there can be many/many products in one assortment, the list() call won't work, you need to use scroll
https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d6f202af1fe56aac6712c03bf8a4259d95b7709d#l2.80 [^]

But I think it is even better to use a specific hql to read the unique product categories, so not iterate/walk over all products.

This specific line is not needed I think (but will go away with a refactor anyway I guess):
https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d6f202af1fe56aac6712c03bf8a4259d95b7709d#l2.93 [^]

Nicer to use the constant from the generated entity class for property names:
https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d6f202af1fe56aac6712c03bf8a4259d95b7709d#l3.64 [^]

After some thought better to show the product category tab also if there are no product categories.. Or can you show it if the remote.product preference is set?
(0079572)
hgbot (developer)
2015-08-21 12:20

Repository: erp/pmods/org.openbravo.retail.config
Changeset: ca0a4c6f476e741824fbf1d719594624785e4038
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Thu Aug 20 10:21:20 2015 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.config/rev/ca0a4c6f476e741824fbf1d719594624785e4038 [^]

related to issue 30553 fixed displaylogic in filter product category tab

Show filter product category tab if the remote.product preference is set.

---
M src-db/database/sourcedata/AD_AUXILIARINPUT.xml
M src-db/database/sourcedata/AD_TAB.xml
---
(0079573)
hgbot (developer)
2015-08-21 12:20

Repository: erp/pmods/org.openbravo.retail.config
Changeset: a8e02a2c49599cbc07e040463d64106017dacad8
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Fri Aug 21 09:54:11 2015 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.config/rev/a8e02a2c49599cbc07e040463d64106017dacad8 [^]

related to issue 30553 fixed auxiliary input query in oracle

---
M src-db/database/sourcedata/AD_AUXILIARINPUT.xml
---
(0079574)
hgbot (developer)
2015-08-21 12:22

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 6fa47c0f26d8e6eb7eb7c49a5b74ecc6bd344916
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Thu Aug 20 10:18:54 2015 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/6fa47c0f26d8e6eb7eb7c49a5b74ecc6bd344916 [^]

related to issue 30553 code review

Changes in background process and rename process name and background class

---
M src-db/database/sourcedata/AD_PROCESS.xml
A src/org/openbravo/retail/posterminal/UpdateProductCategoryByAssortmentBackground.java
R src/org/openbravo/retail/posterminal/ProductCategoryBackground.java
---
(0080000)
hgbot (developer)
2015-09-01 14:47

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: a51eca636b1552de8489056aa1e3cd0c337826d3
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Mon Aug 31 15:33:31 2015 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a51eca636b1552de8489056aa1e3cd0c337826d3 [^]

Fixes issue 30553: High volume products: make reading product categories more efficient
Added scroll.close, clear session every 1000 records, corrected spelling

---
M src/org/openbravo/retail/posterminal/UpdateProductCategoryByAssortmentBackground.java
---
(0080033)
mtaal (manager)
2015-09-03 09:29

Reviewed by Martin and Sandra

- Issue History
Date Modified Username Field Change
2015-08-11 15:17 mtaal New Issue
2015-08-11 15:17 mtaal Assigned To => Sandrahuguet
2015-08-11 15:17 mtaal Triggers an Emergency Pack => No
2015-08-11 15:17 mtaal Review Assigned To => mtaal
2015-08-11 15:18 mtaal Relationship added related to 0029909
2015-08-11 16:44 mtaal Target Version RR15Q3 => RR15Q4
2015-08-12 10:20 hgbot Checkin
2015-08-12 10:20 hgbot Note Added: 0079318
2015-08-12 10:20 hgbot Status new => resolved
2015-08-12 10:20 hgbot Resolution open => fixed
2015-08-12 10:20 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d6f202af1fe56aac6712c03bf8a4259d95b7709d [^]
2015-08-12 10:22 hgbot Checkin
2015-08-12 10:22 hgbot Note Added: 0079319
2015-08-12 10:22 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d6f202af1fe56aac6712c03bf8a4259d95b7709d [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.config/rev/be2ab256999d1bc51ca98ed3b79449773ef25f5b [^]
2015-08-13 13:07 mtaal Note Added: 0079345
2015-08-13 13:07 mtaal Status resolved => new
2015-08-13 13:07 mtaal Resolution fixed => open
2015-08-21 12:20 hgbot Checkin
2015-08-21 12:20 hgbot Note Added: 0079572
2015-08-21 12:20 hgbot Checkin
2015-08-21 12:20 hgbot Note Added: 0079573
2015-08-21 12:22 hgbot Checkin
2015-08-21 12:22 hgbot Note Added: 0079574
2015-09-01 14:47 hgbot Checkin
2015-09-01 14:47 hgbot Note Added: 0080000
2015-09-01 14:47 hgbot Status new => resolved
2015-09-01 14:47 hgbot Resolution open => fixed
2015-09-01 14:47 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.config/rev/be2ab256999d1bc51ca98ed3b79449773ef25f5b [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a51eca636b1552de8489056aa1e3cd0c337826d3 [^]
2015-09-03 09:29 mtaal Note Added: 0080033
2015-09-03 09:29 mtaal Status resolved => closed
2015-09-03 09:29 mtaal Fixed in Version => RR15Q4


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker